StarObjectSmallGraphicInternal::SDUDGraphic Class Reference

Internal: virtual class to store a SDUD graphic. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SDUDGraphic:

## Public Member Functions

| SDUDGraphic (int id)
| constructor
| ~SDUDGraphic () override
| destructor
std::string | getName () const override
| return the object name
std::string | print () const override
| basic print function
Public Member Functions inherited from StarObjectSmallGraphicInternal::SDRUserData
| SDRUserData (int id=-1)
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor
virtual | ~Graphic ()
| destructor
virtual bool | send (STOFFListenerPtr &, STOFFFrameStyle const &, StarObject &, bool)
| try to send the graphic to the listener

## Friends

std::ostream & | operator<< (std::ostream &o, SDUDGraphic const &graph)
| print object data

## Additional Inherited Members

Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type

## Detailed Description

Internal: virtual class to store a SDUD graphic.

## Constructor & Destructor Documentation

## SDUDGraphic()

StarObjectSmallGraphicInternal::SDUDGraphic::SDUDGraphic | ( | int | id | ) |

inline explicit

constructor

Referenced by operator<<, and StarObjectSmallGraphicInternal::SDUDGraphicAnimation::SDUDGraphicAnimation().

## ~SDUDGraphic()

StarObjectSmallGraphicInternal::SDUDGraphic::~SDUDGraphic | ( |  | ) |

override

destructor

## Member Function Documentation

## getName()

std::string StarObjectSmallGraphicInternal::SDUDGraphic::getName | ( |  | ) | const

inline override virtual

return the object name

Reimplemented from StarObjectSmallGraphicInternal::SDRUserData.

Referenced by operator<<, and StarObjectSmallGraphicInternal::SDUDGraphicAnimation::operator<<.

## print()

std::string StarObjectSmallGraphicInternal::SDUDGraphic::print | ( |  | ) | const

inline override virtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SDRUserData.

Reimplemented in StarObjectSmallGraphicInternal::SDUDGraphicAnimation.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SDUDGraphic const & | graph )

friend

print object data

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx